Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.server
Class RestoreAgentsEvent

    java.lang.Object
      umontreal.iro.lecuyer.simevents.Event
          umontreal.iro.lecuyer.contactcenters.server.RestoreAgentsEvent

All Implemented Interfaces:
  Comparable<Event>

    public class RestoreAgentsEvent

extends Event

Represents an event that restores the state of busy and ghost agents after the service of contacts are started, during state restoration.

Field Summary

Fields inherited from class umontreal.iro.lecuyer.simevents.Event
`eventTime, priority, sim`

Constructor Summary
`RestoreAgentsEvent(DetailedAgentGroup dgroup, AgentState[] busyAgents, AgentState[] ghostAgents)` Constructs a new agent restoration event concerning agents in the group `dgroup`.

Method Summary
`void` | `actions()`
`AgentState[]` | `getBusyAgents()` Returns the state of the busy agents that will be restored when the event occurs.
`AgentState[]` | `getGhostAgents()` Returns the state of the ghost agents that will be restored when this event occurs.
`DetailedAgentGroup` | `getTargetAgentGroup()` Returns the agent group affected by this event.
`String` | `toString()`

Methods inherited from class umontreal.iro.lecuyer.simevents.Event
`cancel, cancel, compareTo, getRa, priority, reschedule, schedule, scheduleAfter, scheduleBefore, scheduleNext, setPriority, setRa, setSimulator, setTime, simulator, time`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RestoreAgentsEvent

    public RestoreAgentsEvent(DetailedAgentGroup dgroup,
                              AgentState[] busyAgents,
                              AgentState[] ghostAgents)

  Constructs a new agent restoration event concerning agents in the group `dgroup`. When the event occurs, the state (available, last idle time, etc.) will be restored for all agents referred by `busyAgents` and `ghostAgents` while agents referred by `ghostAgents` will be removed from the agent group.

  Parameters:
    `dgroup` - the agent group affected by the restoration.
    `busyAgents` - the busy agents to be restored.
    `ghostAgents` - the ghost agents to be removed from the group.

Method Detail

### getTargetAgentGroup

    public DetailedAgentGroup getTargetAgentGroup()

  Returns the agent group affected by this event.

  Returns:
    the target agent group.

### getBusyAgents

    public AgentState[] getBusyAgents()

  Returns the state of the busy agents that will be restored when the event occurs.

  Returns:
    the state of the busy agents.

### getGhostAgents

    public AgentState[] getGhostAgents()

  Returns the state of the ghost agents that will be restored when this event occurs.

  Returns:
    the state of ghost agents.

### actions

    public void actions()

  Specified by:
    `actions` in class `Event`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.